Update Queue
PATCH/accounts/{account_id}/queues/{queue_id}
Updates a Queue.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Update Queue
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/queues/$QUEUE_ID \
-X PATCH \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 7003,
"message": "No route for the URI",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
"string"
],
"result": {
"consumers": [
{
"consumer_id": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2019-12-27T18:11:19.117Z",
"dead_letter_queue": "dead_letter_queue",
"queue_name": "example-queue",
"script_name": "my-consumer-worker",
"settings": {
"batch_size": 50,
"max_concurrency": 10,
"max_retries": 3,
"max_wait_time_ms": 5000,
"retry_delay": 10
},
"type": "worker"
}
],
"consumers_total_count": 0,
"created_on": "created_on",
"modified_on": "modified_on",
"producers": [
{
"script": "script",
"type": "worker"
}
],
"producers_total_count": 0,
"queue_id": "queue_id",
"queue_name": "example-queue",
"settings": {
"delivery_delay": 5,
"delivery_paused": true,
"message_retention_period": 345600
}
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 7003,
"message": "No route for the URI",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
"string"
],
"result": {
"consumers": [
{
"consumer_id": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2019-12-27T18:11:19.117Z",
"dead_letter_queue": "dead_letter_queue",
"queue_name": "example-queue",
"script_name": "my-consumer-worker",
"settings": {
"batch_size": 50,
"max_concurrency": 10,
"max_retries": 3,
"max_wait_time_ms": 5000,
"retry_delay": 10
},
"type": "worker"
}
],
"consumers_total_count": 0,
"created_on": "created_on",
"modified_on": "modified_on",
"producers": [
{
"script": "script",
"type": "worker"
}
],
"producers_total_count": 0,
"queue_id": "queue_id",
"queue_name": "example-queue",
"settings": {
"delivery_delay": 5,
"delivery_paused": true,
"message_retention_period": 345600
}
},
"success": true
}